# azure.graphrbac package

## Submodules

- azure.graphrbac.models module
- azure.graphrbac.operations module

## Module contents

class `azure.graphrbac.``GraphRbacManagementClient`(credentials, tenant_id, accept_language='en-US', long_running_operation_retry_timeout=30, generate_client_request_id=True, base_url=None, filepath=None)

  Bases: `object`

  Composite Swagger for GraphRbac Management Client

  Variables:

  - config (GraphRbacManagementClientConfiguration) – Configuration for client.
  - objects (operations.ObjectsOperations) – Objects operations
  - applications (operations.ApplicationsOperations) – Applications operations
  - groups (operations.GroupsOperations) – Groups operations
  - service_principals (operations.ServicePrincipalsOperations) – ServicePrincipals operations
  - users (operations.UsersOperations) – Users operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - tenant_id (str) – the tenant Id.
  - accept_language (str) – Gets or sets the preferred language for the response.
  - long_running_operation_retry_timeout (int) – Gets or sets the retry timeout in seconds for Long Running Operations. Default value is 30.
  - generate_client_request_id (bool) – When set to true a unique x-ms-client-request-id value is generated and included in each request. Default is true.
  - base_url (str) – Service URL
  - filepath (str) – Existing config